# Open-source solder station for Weller RT series soldering tips

Hardware part

***

This project is an open-source solder station for use with the Weller RT series soldering tips. This is based on a previous kit designed by membres of the asociation Electrolab.

[Previous project on the Electrolab Wiki](https://wiki.electrolab.fr/Projets:SolderStationWEnglish)

[Repository of the legacy project](https://github.com/F6ITU/solderstation)

As stated in the Electrolab Wiki, this project was inspired by other projects, namely the [SMD Soldering Station from Martin Kumm](http://www.martin-kumm.de/wiki/doku.php?id=05Misc:SMD_Solderstation) and [Selbstau einer SMD-Lötstation from DL4JAL ("Yet Another SMD Solder Station")](https://www.dl4jal.de/smd_loetstation/smd_loetst.html).

The goal of this project is to update this project regarding actual CAD tools, technology and components availability.

## Description

This project is a soldering station circuit for use with the [Weller RT series soldering tips](https://www.weller-tools.com/nocompromise/). These tips are disposable integrated soldering tips that include the heating element as well as a temperature sensor, it connects to the iron through a stereo jack 3.5mm and uses low-voltage (12V), making them perfectly fitted for a DIY use.

The circuit will manage the regulation of the tip temperature and provide a HMI.
HMI is comprised of:
- A 3-digit 7-segment display,
- A 5mm LED,
- A rotary encoder with push button.

A 5 pins connector (in 2.54mm pin header format) provides external connection to the iron. It features a 12V PWM regulated power output, an analog input for temperature measurement with analog frontend, a input for an external standby pull-down switch.

Control is handled by a Nucleo STM32L011K4 evaluation board.

## Embedded software

See the corresponding SW repo : [SolderStationMk2_SW](https://code.electrolab.fr/Flax/solderstationmk2_sw)

## Tools

- [Kicad 7.0](https://www.kicad.org/download/)
- [LTSpice 17.1.8](https://www.analog.com/en/design-center/design-tools-and-calculators/ltspice-simulator.html)
- [ST Nucleo STM32L011K4](https://www.st.com/en/evaluation-tools/nucleo-l011k4.html)

